Package com.mckoi.util

## Class SearchResults

- java.lang.Object
- - com.mckoi.util.SearchResults

    public final class SearchResults
    extends java.lang.Object

This object stores the result of a given search. It provides information object where in the set the found elements are, and the number of elements in the set that match the search criteria.

Author:
  Tobias Downer

### Constructor Summary

Constructors
`SearchResults()` The Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCount()` Functions for querying information in the results.
`int` `getIndex()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SearchResults

    public SearchResults()

The Constructor.

### Method Detail

#### getCount

    public int getCount()

Functions for querying information in the results.

#### getIndex

    public int getIndex()